> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

> The `gigs.partially_synced` webhook is sent when gigs going back a specified number of days prior (starting from the date [when the account was added](/api-reference/accounts-webhooks/added)) have been retrieved. By default, this period is set to 30 days.

<Tip>You can subscribe to this webhook multiple times with different numbers of specified days.</Tip>

<Note>
Of note:
* This webhook is sent only during initial data retrieval (not [ongoing refresh](/overview/ongoing-refresh)).
* If the number of gigs for an account is small and captured completely with only one data pull, this webhook will not be sent. Instead the `gigs.fully_synced` webhook will be sent.
</Note>


# Gigs.partially_synced webhook



## OpenAPI

````yaml openAPI/gigs-webhooks-partially-synced.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Gigs Webhooks
  version: 1.0.0
  description: >
    Sent when gigs are added, updated, or removed.


    If you need to access to gig data as soon as it is available:

    *   The `gigs.partially_synced` webhook is sent when gigs going back a
    specified number of days prior (starting from the date when the account was
    added) have been retrieved during initial data retrieval for a newly
    connected account.

    *   The `gigs.fully_synced` webhook is sent when all gigs have been
    retrieved during initial data retrieval for a newly connected account.


    Because some accounts can contain thousands of gigs, we recommend
    subscribing to the `gigs.partially_synced` webhook when especially
    time-sensitive. The `gigs.fully_synced` webhook will only be sent when all
    gig data has been retrieved, which may take up to several hours in these
    cases.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `gigs.partially_synced` webhook is sent when gigs going back a
        specified number of days prior (starting from the date [when the account
        was added](/api-reference/accounts-webhooks/added)) have been retrieved.
        By default, this period is set to 30 days.


        <Tip>You can subscribe to this webhook multiple times with different
        numbers of specified days.</Tip>


        <Note>

        Of note:

        * This webhook is sent only during initial data retrieval (not [ongoing
        refresh](/overview/ongoing-refresh)).

        * If the number of gigs for an account is small and captured completely
        with only one data pull, this webhook will not be sent. Instead the
        `gigs.fully_synced` webhook will be sent.

        </Note>
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GigsPartiallySyncedWebhookRequest'
            examples:
              gigs_partially_synced_subscription:
                summary: gigs.partially_synced subscription
                value:
                  events:
                    - gigs.partially_synced
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
                  config:
                    days_synced: 60
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GigsPartiallySyncedWebhookResponse'
components:
  schemas:
    GigsPartiallySyncedWebhookRequest:
      type: object
      properties:
        events:
          type: array
          items:
            type: string
          description: |
            `gigs.partially_synced`
        name:
          type: string
          description: Your name for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
        config:
          type: object
          description: >-
            `"days_synced": <Integer>` specifies how many days of synced gigs
            (starting from the date of the most recent gig) are needed to
            trigger the webhook.
          properties:
            days_synced:
              type: integer
              description: Specifies how many days of synced gigs
      required:
        - events
        - name
        - url
      example:
        events:
          - gigs.partially_synced
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
        config:
          days_synced: 60
    GigsPartiallySyncedWebhookResponse:
      type: object
      properties:
        event:
          type: string
          description: |
            `gigs.partially_synced`
        name:
          type: string
          description: Name used for the webhook subscription.
        data:
          type: object
          description: ''
          properties:
            account:
              type: string
              format: uuid
              description: ID of the account.
            user:
              type: string
              format: uuid
              description: ID of the user.
            available_from:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                of the account's earliest available gig from the synced time
                period.
            available_to:
              type: string
              format: date-time
              description: >-
                Timestamp ([ISO 8601](https://en.wikipedia.org/wiki/ISO_8601))
                of the account's most recent gig from the synced time period.
            available_count:
              type: integer
              description: >-
                Number of gigs currently available for this account at the time
                this webhook is sent.
            days_synced:
              type: integer
              description: Number of days of synced gig events.
      example:
        event: gigs.partially_synced
        name: name-for-the-webhook-subscription
        data:
          account: 0187c66e-e7e5-811c-b006-2232f00f426a
          user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
          available_from: '2023-01-02T00:00:00Z'
          available_to: '2023-03-03T00:00:00Z'
          available_count: 132
          days_synced: 60
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````